Skip to Content
Hive
API Referencev1Coverage

Get Shared Circuit Coverage

GET
/v1/coverage/shared

Retrieve shared-access circuit coverage for the specified address. The optional technology filter accepts the aliases normalized by the API.

Query Parameters

streetEgon*string

The EGON code of the street

mainEgon*string

The EGON code of the main connection point

streetNumber*string

The street number

technology?string

Optional technology filter. If omitted, all shared technologies are returned.

Value in"adsl""fttcab""fttc""ftth""ftthome"

Response Body

Shared circuit coverage retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/coverage/shared?streetEgon=string&mainEgon=string&streetNumber=string'
Example Response
[  {    "providerId": 0,    "providerName": "string",    "speedLimit": 0.1,    "speedComplete": "string",    "multipleConnection": true,    "distance": 0.1,    "connectionType": "string",    "connectionElementName": "string",    "connectionCLLi": "string",    "serviceName": "string",    "serviceDescription": "string",    "oloServiceId": 0,    "oloTypeProduct": "string",    "oloTypeService": "string",    "fiberRange": "string",    "coverage": true,    "idBuilding": "string",    "headerId": "string",    "connectionElementDetail": "string",    "statusCode": "string",    "statusDescription": "string"  }]